class Errors:
    REQUEST_FAILED = "FAILED: request could not be parsed, please contact det-support@xfel.eu"
    REQUEST_MALFORMED = "FAILED: request {} is malformed, please contact det-support@xfel.eu"
    UNKNOWN_ACTION = "FAILED: action {} is not known!, please contact det-support@xfel.eu"
    PATH_NOT_FOUND = "FAILED: run at {} not found!, please contact det-support@xfel.eu"
    NOTHING_TO_DO = "WARN: nothing to calibrate in path {}, please contact det-support@xfel.eu"
    CONFIG_ERROR = "FAILED: configuration at {} couldn't be parsed, using default!, please contact det-support@xfel.eu"
    CONFIG_NOT_FOUND = "WARN: configuration at {} not found, using default!, please contact det-support@xfel.eu"
    NO_DEFAULT_CONFIG = "FAILED: No default config for instrument {}, detector {} exists!, please contact det-support@xfel.eu"
    JOB_LAUNCH_FAILED = "FAILED: Failed executing command: {}, code: {}, please contact det-support@xfel.eu"
    UPLOAD_CONFIG_FAILED = "FAILED: Config for cycle {}, proposal {} could not be uploaded!, please contact det-support@xfel.eu"
    TRANSFER_EVAL_FAILED = "FAILED: Evaluating transfer to offline failed for proposal {}, run {}, please contact it-support@xfel.eu"
    MDC_RESPONSE = "FAILED: Response error from MDC: {}"
    NOT_CONFIGURED = "FAILED: instrument not configured, please contact det-support@xfel.eu"
    NOT_SUBMITTED = "FAILED: correction of {} failed during submision, please contact det-support@xfel.eu"


class MDC:
    MIGRATION_TIMEOUT = "Timeout waiting for migration. Contact it-support@xfel.eu"
    NOTHING_TO_DO = "Nothing to calibrate for this run, copied raw data only"


class Success:
    UPLOADED_CONFIG = "SUCCESS: Uploaded config for cycle {}, proposal {}"
    START_CORRECTION = "SUCCESS: Started correction: proposal {}, run {}"
    START_CHAR = "SUCCESS: Started dark characterization: proposal {}, run {}"
    START_CORRECTION_SIM = "SUCCESS: Started simulated correction: proposal {}, run {}"
    START_CHAR_SIM = "SUCCESS: Started dark characterization: proposal {}, run {}"
    QUEUED = "Queued proposal {}, run {} for offline calibration"
